<?xml version="1.0" encoding="UTF-8"?>
<config xmlns="http://web-harvest.sourceforge.net/schema/1.0/config" scriptlang="groovy">
    <!--
     "Delete transaction" xml bot config.

     Input parameters:
       _sys_transaction_id - ID of the transaction to be deleted.
     -->

    <script><![CDATA[
        import com.workfusion.odf.core.Intake;

        String transactionId = _sys_transaction_id.toString();

        def intake = Intake.init(binding).get();
        intake.deleteTransaction(transactionId);
    ]]></script>

    <export include-original-data="true">
    </export>
</config>
